fastsum.h File Reference

Header file for the fast NFFT-based summation algorithm. More...

`#include "config.h"`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for fastsum.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | fastsum_plan_
| plan for fast summation algorithm More...

## Macros

#define | X(name)
| Include header for C99 complex datatype.
#define | NF_KUB
#define | EXACT_NEARFIELD (1U<< 0)
| Constant symbols.
#define | NEARFIELD_BOXES (1U<< 1)
#define | STORE_PERMUTATION_X_ALPHA (1U<< 2)
| If this flag is set, and eps_I > 0.0 and NEARFIELD_BOXES is not set, then the vector permutation_x_alpha is stored.

## Typedefs

typedef C(* | kernel) (R, int, const R *)
typedef struct fastsum_plan_ | fastsum_plan
| plan for fast summation algorithm

## Functions

void | fastsum_init_guru (fastsum_plan *ths, int d, int N_total, int M_total, kernel k, R *param, unsigned flags, int nn, int m, int p, R eps_I, R eps_B)
| initialization of fastsum plan
void | fastsum_init_guru_kernel (fastsum_plan *ths, int d, kernel k, R *param, unsigned flags, int nn, int p, R eps_I, R eps_B)
| initialize node independent part of fast summation plan
void | fastsum_init_guru_source_nodes (fastsum_plan *ths, int N_total, int nn_oversampled, int m)
| initialize source nodes dependent part of fast summation plan
void | fastsum_init_guru_target_nodes (fastsum_plan *ths, int M_total, int nn_oversampled, int m)
| initialize target nodes dependent part of fast summation plan
void | fastsum_finalize (fastsum_plan *ths)
| finalization of fastsum plan
void | fastsum_finalize_source_nodes (fastsum_plan *ths)
| finalization of fastsum plan
void | fastsum_finalize_target_nodes (fastsum_plan *ths)
| finalization of fastsum plan
void | fastsum_finalize_kernel (fastsum_plan *ths)
| finalization of fastsum plan
void | fastsum_exact (fastsum_plan *ths)
| direct computation of sums
void | fastsum_precompute_source_nodes (fastsum_plan *ths)
| precomputation for fastsum
void | fastsum_precompute_target_nodes (fastsum_plan *ths)
| precomputation for fastsum
void | fastsum_precompute (fastsum_plan *ths)
| precomputation for fastsum
void | fastsum_trafo (fastsum_plan *ths)
| fast NFFT-based summation
C | regkern (kernel k, R xx, int p, const R *param, R a, R b)
| regularized kernel with K_I arbitrary and K_B smooth to zero
C | kubintkern (const R x, const C *Add, const int Ad, const R a)
| linear spline interpolation in near field with even kernels

## Detailed Description

Header file for the fast NFFT-based summation algorithm.

reference: M. Fenn, G. Steidl, Fast NFFT based summation of radial functions. Sampl. Theory Signal Image Process., 3, 1-28, 2004.

Author
  Markus Fenn

Date
  2003-2006

Definition in file fastsum.h.